From 6ceaf75b2d253f33e152a8a0be3b32e7adaf2f75 Mon Sep 17 00:00:00 2001
From: Egbert Eich <eich@suse.com>
Date: Wed, 18 May 2022 20:35:02 +0200
Subject: [PATCH 26/30] Add slurm_msg_set_r_uid() to
 _persist_fed_job_lock_bool() and _agent_thread()

This seems to be missing from upstream as well.

Signed-off-by: Egbert Eich <eich@suse.com>
---
 src/slurmctld/fed_mgr.c | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/src/slurmctld/fed_mgr.c b/src/slurmctld/fed_mgr.c
index 28bda763f5..9441cd3ea5 100644
--- a/src/slurmctld/fed_mgr.c
+++ b/src/slurmctld/fed_mgr.c
@@ -1038,6 +1038,7 @@ static int _persist_fed_job_lock_bool(slurmdb_cluster_rec_t *conn,
 
 	req_msg.protocol_version = conn->rpc_version;
 	req_msg.data             = &sib_msg;
+	slurm_msg_set_r_uid(&req_msg, SLURM_AUTH_UID_ANY);
 
 	if (_send_recv_msg(conn, &req_msg, &resp_msg, false)) {
 		rc = SLURM_PROTOCOL_ERROR;
@@ -2278,6 +2279,7 @@ static void *_agent_thread(void *arg)
 			slurm_msg_t_init(&req_msg);
 			req_msg.msg_type = REQUEST_CTLD_MULT_MSG;
 			req_msg.data     = &ctld_req_msg;
+			slurm_msg_set_r_uid(&req_msg, SLURM_AUTH_UID_ANY);
 			rc = _send_recv_msg(cluster, &req_msg, &resp_msg,
 					    false);
 
-- 
2.35.3


